The openMosix HOWTO:
Prev | Chapter 8. Administrating openMosix | Next

# 8.3. the userspace-tools

These following tools are providing easy administration to openMosix clusters.

    migrate -send a migrate request to a process
                    syntax:
                            migrate [PID] [openMosix_ID]

    mon             -is a ncurses-based terminal monitor
                     several informations about the current status are displayed in bar-charts

    mosctl          -is the openMosix main configuration utility
                    syntax:
                            mosctl  [stay|nostay]
                                    [lstay|nolstay]
                                    [block|noblock]
                                    [quiet|noquiet]
                                    [nomfs|mfs]
                                    [expel|bring]
                                    [gettune|getyard|getdecay]

                            mosctl  whois   [openMosix_ID|IP-address|hostname]

                            mosctl  [getload|getspeed|status|isup|getmem|getfree|getutil]   [openMosix_ID]

                            mosctl  setyard [Processor-Type|openMosix_ID||this]

                            mosctl  setspeed        interger-value

                            mosctl  setdecay interval       [slow fast]

Table 8-6. more detailed

stay | no automatic process migration
nostay | automatic process migration (default)
lstay | local processes should stay
nolstay | local processes could migrate
block | block arriving of guest processes
noblock | allow arriving of guest processes
quiet | disable gathering of load-balancing informations
noquiet | enable gathering of load-balancing informations
nomfs | disables MFS
mfs | enables MFS
expel | send away guest processes
bring | bring all migrated processes home
gettune | shows the current overhead parameter
getyard | shows the current used Yardstick
getdecay | shows the current decay parameter
whois | resolves openMosix-ID, ip-addresses and hostnames of the cluster
getload | display the (openMosix-) load
getspeed | shows the (openMosix-) speed
status | displays the current status and configuration
isup | is a node up or down (openMosix kind of ping)
getmem | shows logical free memory
getfree | shows physical free mem
getutil | display utilization
setyard | sets a new Yardstick-value
setspeed | sets a new (openMosix-) speed value
setdecay | sets a new decay-interval

    mosrun          -run a special configured command on a chosen node
                    syntax:
                            mosrun  [-h|openMosix_ID| list_of_openMosix_IDs] command [arguments]

The mosrun command can be executed with several more commandline options. To ease this up there are several preconfigured run-scripts for executing jobs with a special (openMosix) configuration.

Table 8-7. extra options for mosrun

nomig | runs a command which process(es) won't migrate
runhome | executes a command locked to its home node
runon | runs a command which will be directly migrated and locked to a node
cpujob | tells the openMosix cluster that this is a cpu-bound process
iojob | tells the openMosix cluster that this is a io-bound process
nodecay | executes a command and tells the cluster not to refresh the load-balancing statistics
slowdecay | executes a command with a slow decay interval for collecting load-balancing statistics
fastdecay | executes a command with a fast decay interval for collecting load-balancing statistics

    setpe           -manual node configuration utility
                    syntax:
                            setpe   -w -f   [hpc_map]
                            setpe   -r [-f  [hpc_map]]
                            setpe   -off

    -w reads the openMosix configuration from a file (typically /etc/hpc.map)
    -r writes the current openMosix configuration to a file (typically /etc/hpc.map)
    -off turns the current openMosix configuration off

    tune            openMosix calibration and optimizations utility.
                    (for further informations review the tune-man page)

Additional to the /proc interface and the commandline-openMosix utilities (which are using the /proc interface) there is a patched "ps" and "top" available (they are called "mps" and "mtop") which displays also the openMosix-node ID on a column. This is useful for finding out where a specific process is currently being computed.

This actually summarised the command line tools, but have a look at openMosixview which is a GUI for the most common administration tasks, and which ill be discussed in a future chapter.

Prev | Home | Next
Configuration | Up | Cluster Mask